---
- name: Check roles file
  ansible.builtin.stat:
    path: "{{ es_roles_file }}"
  register: roles_file_stat
  delegate_to: localhost

- name: Load roles
  ansible.builtin.set_fact:
    es_roles: "{{ lookup('ansible.builtin.file', es_roles_file) | ansible.builtin.from_yaml }}"
  when: roles_file_stat.stat.exists

- name: Create roles
  ansible.builtin.include_tasks: role.yml
  with_items: "{{ es_roles }}"
